Onerway
POST

查询卡片操作记录

使用此接口按卡片 ID、幂等请求 ID、操作类型和时间范围查询卡片操作记录。

请求

ApiKey
Onerway 分配的发卡 API key 请求 Header。
示例:
cardId
卡片 ID 筛选条件;不传时可查询商户下所有卡片记录。
示例:
clientRequestId
幂等请求 ID 筛选条件。
示例:
type
操作类型筛选条件。
可选值
CREATE
开卡操作。
FREEZE
冻结操作。
UNFREEZE
解冻操作。
startTime
查询开始时间,UTC 秒级时间戳。
示例:
endTime
查询结束时间,UTC 秒级时间戳。
示例:
pageNum
页码。
示例:
约束
范围
1
pageSize
每页条数。
示例:
约束
范围
1100

请求示例

curl -X POST 'https://sandbox-api.onerway.com/api/v1/merchant/card/getOperateRecordList' \
  -H 'ApiKey: replace_with_issuing_api_key' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "cardId": 100001,
  "pageNum": 1,
  "pageSize": 10,
  "type": "DEPOSIT"
}'

响应

respCode
业务响应码;20000 表示成功。
respMsg
响应信息。
分页操作记录。

响应示例

{
  "respCode": "20000",
  "respMsg": "success",
  "data": {
    "totalRecords": 1,
    "pageSize": 10,
    "current": 1,
    "pageNum": 1,
    "totalPages": 1,
    "records": [
      {
        "operateRecordId": 200001,
        "cardId": 100001,
        "clientRequestId": "REQ_20260101_001",
        "type": "DEPOSIT",
        "status": "S",
        "remark": null,
        "amount": 100,
        "currency": "USD",
        "operateTime": 1735689600000,
        "feeList": [
          {
            "feeType": "DEPOSIT",
            "feeAmount": 1,
            "feeCurrency": "USD"
          }
        ]
      }
    ]
  }
}
该接口暂未记录错误响应。